describe("БС, 3 варианты ответов, таймер 3 сек, quiz ветвящийся BC3VT3SQL", () => {
  it("необходимо завершить тест тремя вопросами и проверить, отключена ли кнопка назад", () => {
    cy.visit("/3ba7deeb-9bb6-4057-a5a3-798e935958a0");
    cy.get("body").should("be.visible");

    // Проверяем первый вопрос
    cy.get("#test-question-title", { timeout: 10000 }).should("be.visible");
    cy.get("#test-question-title").should("contain", "первый вопрос");
    cy.get("#test-prev-button").should("be.disabled");

    // Проверяем второй вопрос
    cy.get("#test-question-title").should("be.visible");
    cy.get("#test-question-title").should("contain", "второй вопрос");
    cy.get("#test-prev-button").should("be.disabled");

    // Проверяем третий вопрос
    cy.get("#test-question-title").should("be.visible");
    cy.get("#test-question-title").should("contain", "третий вопрос");
    cy.get("#test-prev-button").should("be.disabled");

    // Проверяем открытие страницы с контактной формой
    cy.get("#test-contact-form").should("be.visible");

    // Заполняем контактную форму
    cy.get('input[placeholder*="Email"], input[placeholder*="Почта"]').type("test@example.com");

    // Соглашаемся с условиями
    cy.get('input[type="checkbox"]').check();

    // Нажимаем кнопку получения результатов
    cy.get("button").contains("Получить результаты").click();

    // Проверяем открытие страницы с результатами
    cy.get("#test-result-form").should("be.visible");
  });
});
